Update Alpine to 3.11 02/69502/2
authorCédric Ollivier <cedric.ollivier@orange.com>
Sat, 4 Jan 2020 21:10:48 +0000 (22:10 +0100)
committerCédric Ollivier <cedric.ollivier@orange.com>
Sat, 4 Jan 2020 21:20:28 +0000 (22:20 +0100)
It also updates Python to 3.8 (default version).

https://alpinelinux.org/posts/Alpine-3.11.0-released.html

Change-Id: I3bbfdb76d2fb71f9a426e4fe7dacace0917e2070
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
.circleci/config.yml
.travis.yml
ansible/site.yml
build.sh
docker/core/Dockerfile
docker/healthcheck/Dockerfile
docker/smoke/Dockerfile
tox.ini

index e73b984..6fb234b 100644 (file)
@@ -3,7 +3,7 @@ version: 2
 jobs:
   build:
     docker:
-      - image: circleci/python:3.7.4
+      - image: circleci/python:3.8
     steps:
       - checkout
       - run:
index 58a34f2..b497c90 100644 (file)
@@ -11,7 +11,7 @@ addons:
 before_script:
   - sudo add-apt-repository -y ppa:deadsnakes/ppa
   - sudo apt-get update
-  - sudo apt-get install python3.7 python3.7-dev
+  - sudo apt-get install python3.8 python3.8-dev python3.8-distutils
   - sudo pip install tox
   - sudo -E docker login -u="${DOCKER_USERNAME}" -p="${DOCKER_PASSWORD}"
   - (cd .. && git clone https://github.com/estesp/manifest-tool)
@@ -21,7 +21,7 @@ before_script:
 jobs:
   include:
     - stage: run unit tests
-      script: tox -e pep8,pylint,yamllint,ansiblelint,bashate,py27,py37
+      script: tox -e pep8,pylint,yamllint,ansiblelint,bashate,py27,py38
     - stage: build functest-kubernetes-core image
       script: sudo -E bash build.sh
       env:
index 6a5953f..9cbd50f 100644 (file)
@@ -10,7 +10,7 @@
           - repo: _
             dport:
             container: golang
-            tag: 1.13-alpine3.10
+            tag: 1.13-alpine3.11
         steps:
           - name: build opnfv/functest-kubernetes-core
             containers:
index 70dc1c5..9f56f91 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -28,11 +28,11 @@ done
 [ ! -z "${amd64_dirs}" ] &&
     (docker rmi \
         "${repo}/functest-kubernetes-core:amd64-latest" \
-        golang:1.13-alpine3.10 || true)
+        golang:1.13-alpine3.11 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|golang:1.13-alpine3.10|arm64v8/golang:1.13-alpine3.10|g" {} +
+    -e "s|golang:1.13-alpine3.11|arm64v8/golang:1.13-alpine3.11|g" {} +
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-kubernetes-core|\
 ${repo}/functest-kubernetes-core:arm64-latest|g" {} +
@@ -49,7 +49,7 @@ for dir in ${arm64_dirs}; do
 done
 [ ! -z "${arm64_dirs}" ] &&
     (docker rmi "${repo}/functest-kubernetes-core:arm64-latest" \
-        arm64v8/golang:1.13-alpine3.10 || true)
+        arm64v8/golang:1.13-alpine3.11 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 exit $?
index e243f25..96df574 100644 (file)
@@ -1,4 +1,4 @@
-FROM golang:1.13-alpine3.10
+FROM golang:1.13-alpine3.11
 
 ARG BRANCH=master
 ARG OPENSTACK_TAG=master
@@ -22,5 +22,5 @@ RUN apk --no-cache add --update python3 bash git grep libffi openssl mailcap &&
     printf "[database]\nconnection = 'sqlite:////var/lib/rally/database/rally.sqlite'" > /etc/rally/rally.conf && \
     mkdir -p /var/lib/rally/database && rally db create && \
     apk del .build-deps
-COPY logging.ini /usr/lib/python3.7/site-packages/xtesting/ci/logging.ini
+COPY logging.ini /usr/lib/python3.8/site-packages/xtesting/ci/logging.ini
 CMD ["run_tests", "-t", "all"]
index 9b751d7..1467f85 100644 (file)
@@ -16,5 +16,5 @@ RUN apk --no-cache add --update make bash git \
         mv _output/bin/* /usr/local/bin) && \
     rm -r /src/k8s.io && \
     apk del .build-deps
-COPY testcases.yaml /usr/lib/python3.7/site-packages/xtesting/ci/testcases.yaml
+COPY testcases.yaml /usr/lib/python3.8/site-packages/xtesting/ci/testcases.yaml
 CMD ["run_tests", "-t", "all"]
index 72318e7..72ad2e6 100644 (file)
@@ -1,4 +1,4 @@
 FROM opnfv/functest-kubernetes-healthcheck
 
-COPY testcases.yaml /usr/lib/python3.7/site-packages/xtesting/ci/testcases.yaml
+COPY testcases.yaml /usr/lib/python3.8/site-packages/xtesting/ci/testcases.yaml
 CMD ["run_tests", "-t", "all"]
diff --git a/tox.ini b/tox.ini
index 826ca88..50929b3 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -1,5 +1,5 @@
 [tox]
-envlist = pep8,pylint,yamllint,ansiblelint,bashate,py27,py37,bandit,perm
+envlist = pep8,pylint,yamllint,ansiblelint,bashate,py27,py38,bandit,perm
 
 [testenv]
 usedevelop = True
@@ -18,15 +18,15 @@ commands = nosetests --with-xunit \
   functest_kubernetes
 
 [testenv:pep8]
-basepython = python3.7
+basepython = python3.8
 commands = flake8
 
 [testenv:pylint]
-basepython = python3.7
+basepython = python3.8
 commands = pylint --disable=locally-disabled --reports=n functest_kubernetes
 
 [testenv:yamllint]
-basepython = python3.7
+basepython = python3.8
 files =
   .travis.yml
   docker
@@ -35,24 +35,24 @@ commands =
   yamllint {[testenv:yamllint]files}
 
 [testenv:ansiblelint]
-basepython = python3.7
+basepython = python3.8
 commands = ansible-lint -x303 ansible/site.yml
 
 [testenv:bandit]
-basepython = python3.7
+basepython = python3.8
 commands = bandit -r functest_kubernetes -x tests -n 5 -ll
 
 [testenv:py37]
 commands = nosetests functest_kubernetes
 
 [testenv:bashate]
-basepython = python3.7
+basepython = python3.8
 files =
   build.sh
 commands = bashate -e E005,E006,E042,E043 {[testenv:bashate]files}
 
 [testenv:perm]
-basepython = python3.7
+basepython = python3.8
 whitelist_externals = bash
 path=. -not -path './.tox/*' -not -path './.git/*' -not -path './doc/pres/reveal.js/*'
 commands =